/* pums90 9-2-02 reads 90 extract from
   same sex backup directory

   note: angrist and evans extract has 380,007  */

options nocenter;

libname indat '/bbkinghome/frandsen/RA_stuff/webpage/samesex';

proc contents data=indat.m_d_903;
title 'same sex 90 pums extract';

*proc means data=indat.m_d_903;

data one;
 set indat.m_d_903;

 if (21<=agem<=35);
 if kidcount ge 2;

 if age2ndk ge 1;

 if aage=0 and aage2nd=0 and asex=0 and asex2nd=0;

 fertdif=kidcount-(fertil-1); 

 agefstm=agem-agek; 
 if agefstm ge 15;

 if pwgtm1>0;

 samesex=(sexk=sex2ndk);
 morekids=(kidcount gt 2);

 /* other SSR: age and sex not alloc, births not = kidcount */

proc means;
title 'women aged 21-35 w/2nd kid age =>1';

proc freq data=one; 
  tables kidcount fertdif aagem
         agem agek age2ndk marital kidcount racem;

proc reg;
 model morekids=samesex;

run;
